Package org.eclipse.m2m.atl.adt.ui.outline

## Class AtlAction

- java.lang.Object
- - org.eclipse.m2m.atl.adt.ui.outline.AtlAction

Direct Known Subclasses:
  `RenameAction`

    public abstract class AtlAction
    extends java.lang.Object

This class should be extended.

### Field Summary

Fields
`protected org.eclipse.jface.viewers.ISelection` `theSelection`

### Constructor Summary

Constructors
`AtlAction​(org.eclipse.jface.viewers.ISelection its)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`java.lang.Object` `getElement()` Returns the element to rename.
`abstract void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### theSelection

    protected org.eclipse.jface.viewers.ISelection theSelection

### Constructor Detail

#### AtlAction

    public AtlAction​(org.eclipse.jface.viewers.ISelection its)

### Method Detail

#### run

    public abstract void run()

#### getElement

    public java.lang.Object getElement()

Returns the element to rename.

Returns:
  the element to rename